javax.media.opengl

## Interface GL3ES3

- All Superinterfaces:
    GL, GL2ES2, GL2ES3, GLBase
  All Known Subinterfaces:
    GL3, GL3bc, GL4, GL4bc, GL4ES3, GLES3
  All Known Implementing Classes:
    DebugGL2, DebugGL3, DebugGL3bc, DebugGL4, DebugGL4bc, DebugGLES2, DebugGLES3, TraceGL2, TraceGL3, TraceGL3bc, TraceGL4, TraceGL4bc, TraceGLES2, TraceGLES3

      public interface GL3ES3
      extends GL2ES3

  Interface containing the common subset of core GL3 (OpenGL 3.1+) and GLES3 (OpenGL ES 3.0).
  This interface reflects only the programmable shader functionality of desktop and embedded OpenGL
  This interface is almost GLES3 complete, lacking `GL_ARB_ES3_compatibility` extension.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GL_ALREADY_SIGNALED` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `static int` | `GL_CONDITION_SATISFIED` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `static int` | `GL_INT_2_10_10_10_REV` Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
    `static int` | `GL_MAX_FRAGMENT_INPUT_COMPONENTS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `static int` | `GL_MAX_SERVER_WAIT_TIMEOUT` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `static int` | `GL_MAX_VERTEX_OUTPUT_COMPONENTS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `static int` | `GL_OBJECT_TYPE` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `static int` | `GL_RGB10_A2UI` Part of `GL_ES_VERSION_3_0`, `GL_ARB_texture_rgb10_a2ui`, `GL_VERSION_3_3`
    `static int` | `GL_SAMPLER_BINDING` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `static int` | `GL_SIGNALED` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `static int` | `GL_SYNC_CONDITION` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `static int` | `GL_SYNC_FENCE` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `static int` | `GL_SYNC_FLAGS` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `static int` | `GL_SYNC_FLUSH_COMMANDS_BIT` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `static int` | `GL_SYNC_GPU_COMMANDS_COMPLETE` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `static int` | `GL_SYNC_STATUS` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `static int` | `GL_TEXTURE_SWIZZLE_A` Part of `GL_ES_VERSION_3_0`, `GL_ARB_texture_swizzle`, `GL_VERSION_3_3`
    `static int` | `GL_TEXTURE_SWIZZLE_B` Part of `GL_ES_VERSION_3_0`, `GL_ARB_texture_swizzle`, `GL_VERSION_3_3`
    `static int` | `GL_TEXTURE_SWIZZLE_G` Part of `GL_ES_VERSION_3_0`, `GL_ARB_texture_swizzle`, `GL_VERSION_3_3`
    `static int` | `GL_TEXTURE_SWIZZLE_R` Part of `GL_ES_VERSION_3_0`, `GL_ARB_texture_swizzle`, `GL_VERSION_3_3`
    `static int` | `GL_TIMEOUT_EXPIRED` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `static int` | `GL_UNSIGNALED` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_DIVISOR` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`; `GL_ARB_instanced_arrays`
    `static int` | `GL_WAIT_FAILED` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`

    - ### Fields inherited from interface javax.media.opengl.GL2ES3

      `GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH, GL_ACTIVE_UNIFORM_BLOCKS, GL_ALL_BARRIER_BITS, GL_BLUE, GL_BUFFER_ACCESS_FLAGS, GL_BUFFER_MAP_LENGTH, GL_BUFFER_MAP_OFFSET, GL_COLOR, GL_COMPRESSED_RGBA_ASTC_10x10_KHR, GL_COMPRESSED_RGBA_ASTC_10x5_KHR, GL_COMPRESSED_RGBA_ASTC_10x6_KHR, GL_COMPRESSED_RGBA_ASTC_10x8_KHR, GL_COMPRESSED_RGBA_ASTC_12x10_KHR, GL_COMPRESSED_RGBA_ASTC_12x12_KHR, GL_COMPRESSED_RGBA_ASTC_4x4_KHR, GL_COMPRESSED_RGBA_ASTC_5x4_KHR, GL_COMPRESSED_RGBA_ASTC_5x5_KHR, GL_COMPRESSED_RGBA_ASTC_6x5_KHR, GL_COMPRESSED_RGBA_ASTC_6x6_KHR, GL_COMPRESSED_RGBA_ASTC_8x5_KHR, GL_COMPRESSED_RGBA_ASTC_8x6_KHR, GL_COMPRESSED_RGBA_ASTC_8x8_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR, GL_COPY_READ_BUFFER, GL_COPY_READ_BUFFER_BINDING, GL_COPY_WRITE_BUFFER, GL_COPY_WRITE_BUFFER_BINDING, GL_DEPTH, GL_DEPTH_COMPONENT32F, GL_DEPTH_STENCIL_ATTACHMENT, GL_DEPTH32F_STENCIL8, GL_DRAW_FRAMEBUFFER, GL_DRAW_FRAMEBUFFER_BINDING, GL_DYNAMIC_COPY, GL_DYNAMIC_READ, GL_FLOAT_32_UNSIGNED_INT_24_8_REV, GL_FLOAT_MAT2x3, GL_FLOAT_MAT2x4, GL_FLOAT_MAT3x2, GL_FLOAT_MAT3x4, GL_FLOAT_MAT4x2, GL_FLOAT_MAT4x3, GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE, GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE, GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE, GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE, GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE, GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE, GL_FRAMEBUFFER_DEFAULT, GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE, GL_FRAMEBUFFER_UNDEFINED, GL_GREEN, GL_INT_SAMPLER_2D, GL_INT_SAMPLER_2D_ARRAY, GL_INT_SAMPLER_3D, GL_INT_SAMPLER_CUBE, GL_INTERLEAVED_ATTRIBS, GL_INVALID_INDEX, GL_MAJOR_VERSION, GL_MAX, GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS, GL_MAX_COMBINED_UNIFORM_BLOCKS, GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS, GL_MAX_ELEMENTS_INDICES, GL_MAX_ELEMENTS_VERTICES, GL_MAX_FRAGMENT_UNIFORM_BLOCKS, GL_MAX_FRAGMENT_UNIFORM_COMPONENTS, GL_MAX_PROGRAM_TEXEL_OFFSET, GL_MAX_SAMPLES, GL_MAX_TEXTURE_LOD_BIAS, GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS, GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS, GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS, GL_MAX_UNIFORM_BLOCK_SIZE, GL_MAX_UNIFORM_BUFFER_BINDINGS, GL_MAX_VARYING_COMPONENTS, GL_MAX_VERTEX_UNIFORM_BLOCKS, GL_MAX_VERTEX_UNIFORM_COMPONENTS, GL_MIN, GL_MIN_PROGRAM_TEXEL_OFFSET, GL_MINOR_VERSION, GL_NUM_EXTENSIONS, GL_PACK_ROW_LENGTH, GL_PACK_SKIP_PIXELS, GL_PACK_SKIP_ROWS, GL_PIXEL_PACK_BUFFER, GL_PIXEL_PACK_BUFFER_BINDING, GL_PIXEL_UNPACK_BUFFER, GL_PIXEL_UNPACK_BUFFER_BINDING, GL_R16I, GL_R16UI, GL_R32I, GL_R32UI, GL_R8_SNORM, GL_R8I, GL_R8UI, GL_RASTERIZER_DISCARD, GL_READ_BUFFER, GL_READ_FRAMEBUFFER, GL_READ_FRAMEBUFFER_BINDING, GL_RED_INTEGER, GL_RENDERBUFFER_SAMPLES, GL_RG_INTEGER, GL_RG16I, GL_RG16UI, GL_RG32I, GL_RG32UI, GL_RG8_SNORM, GL_RG8I, GL_RG8UI, GL_RGB_INTEGER, GL_RGB16I, GL_RGB16UI, GL_RGB32I, GL_RGB32UI, GL_RGB8_SNORM, GL_RGB8I, GL_RGB8UI, GL_RGB9_E5, GL_RGBA_INTEGER, GL_RGBA16I, GL_RGBA16UI, GL_RGBA32I, GL_RGBA32UI, GL_RGBA8_SNORM, GL_RGBA8I, GL_RGBA8UI, GL_SAMPLER_2D_ARRAY_SHADOW, GL_SAMPLER_CUBE_SHADOW, GL_SEPARATE_ATTRIBS, GL_SIGNED_NORMALIZED, GL_SRGB8, GL_STATIC_COPY, GL_STATIC_READ, GL_STENCIL, GL_STREAM_COPY, GL_STREAM_READ, GL_TEXTURE_BASE_LEVEL, GL_TEXTURE_MAX_LEVEL, GL_TEXTURE_MAX_LOD, GL_TEXTURE_MIN_LOD, GL_TIMEOUT_IGNORED, GL_TRANSFORM_FEEDBACK_ACTIVE, GL_TRANSFORM_FEEDBACK_BUFFER, GL_TRANSFORM_FEEDBACK_BUFFER_BINDING, GL_TRANSFORM_FEEDBACK_BUFFER_MODE, GL_TRANSFORM_FEEDBACK_BUFFER_SIZE, GL_TRANSFORM_FEEDBACK_BUFFER_START, GL_TRANSFORM_FEEDBACK_PAUSED, GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN, GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH, GL_TRANSFORM_FEEDBACK_VARYINGS, GL_UNIFORM_ARRAY_STRIDE, GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES, GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS, GL_UNIFORM_BLOCK_BINDING, GL_UNIFORM_BLOCK_DATA_SIZE, GL_UNIFORM_BLOCK_INDEX, GL_UNIFORM_BLOCK_NAME_LENGTH, GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER, GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER, GL_UNIFORM_BUFFER, GL_UNIFORM_BUFFER_BINDING, GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT, GL_UNIFORM_BUFFER_SIZE, GL_UNIFORM_BUFFER_START, GL_UNIFORM_IS_ROW_MAJOR, GL_UNIFORM_MATRIX_STRIDE, GL_UNIFORM_NAME_LENGTH, GL_UNIFORM_OFFSET, GL_UNIFORM_SIZE, GL_UNIFORM_TYPE, GL_UNPACK_IMAGE_HEIGHT, GL_UNPACK_SKIP_IMAGES, GL_UNSIGNED_INT_5_9_9_9_REV, GL_UNSIGNED_INT_SAMPLER_2D, GL_UNSIGNED_INT_SAMPLER_2D_ARRAY, GL_UNSIGNED_INT_SAMPLER_3D, GL_UNSIGNED_INT_SAMPLER_CUBE, GL_UNSIGNED_INT_VEC2, GL_UNSIGNED_INT_VEC3, GL_UNSIGNED_INT_VEC4, GL_VERTEX_ARRAY_BINDING, GL_VERTEX_ATTRIB_ARRAY_INTEGER`

    - ### Fields inherited from interface javax.media.opengl.GL2ES2

      `GL_ACTIVE_ATTRIBUTE_MAX_LENGTH, GL_ACTIVE_ATTRIBUTES, GL_ACTIVE_PROGRAM, GL_ACTIVE_UNIFORM_MAX_LENGTH, GL_ACTIVE_UNIFORMS, GL_ALL_SHADER_BITS, GL_ANY_SAMPLES_PASSED, GL_ANY_SAMPLES_PASSED_CONSERVATIVE, GL_ATTACHED_SHADERS, GL_BLEND_COLOR, GL_BOOL, GL_BOOL_VEC2, GL_BOOL_VEC3, GL_BOOL_VEC4, GL_BUFFER, GL_COLOR_ATTACHMENT1, GL_COLOR_ATTACHMENT10, GL_COLOR_ATTACHMENT11, GL_COLOR_ATTACHMENT12, GL_COLOR_ATTACHMENT13, GL_COLOR_ATTACHMENT14, GL_COLOR_ATTACHMENT15, GL_COLOR_ATTACHMENT2, GL_COLOR_ATTACHMENT3, GL_COLOR_ATTACHMENT4, GL_COLOR_ATTACHMENT5, GL_COLOR_ATTACHMENT6, GL_COLOR_ATTACHMENT7, GL_COLOR_ATTACHMENT8, GL_COLOR_ATTACHMENT9, GL_COMPARE_REF_TO_TEXTURE, GL_COMPILE_STATUS, GL_CONSTANT_ALPHA, GL_CONSTANT_COLOR, GL_CONTEXT_FLAG_DEBUG_BIT, GL_CONTEXT_ROBUST_ACCESS, GL_CURRENT_PROGRAM, GL_CURRENT_QUERY, GL_CURRENT_VERTEX_ATTRIB, GL_DEBUG_CALLBACK_FUNCTION, GL_DEBUG_CALLBACK_USER_PARAM, GL_DEBUG_GROUP_STACK_DEPTH, GL_DEBUG_LOGGED_MESSAGES, GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH, GL_DEBUG_OUTPUT, GL_DEBUG_OUTPUT_SYNCHRONOUS, GL_DEBUG_SEVERITY_HIGH, GL_DEBUG_SEVERITY_LOW, GL_DEBUG_SEVERITY_MEDIUM, GL_DEBUG_SEVERITY_NOTIFICATION, GL_DEBUG_SOURCE_API, GL_DEBUG_SOURCE_APPLICATION, GL_DEBUG_SOURCE_OTHER, GL_DEBUG_SOURCE_SHADER_COMPILER, GL_DEBUG_SOURCE_THIRD_PARTY, GL_DEBUG_SOURCE_WINDOW_SYSTEM, GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR, GL_DEBUG_TYPE_ERROR, GL_DEBUG_TYPE_MARKER, GL_DEBUG_TYPE_OTHER, GL_DEBUG_TYPE_PERFORMANCE, GL_DEBUG_TYPE_POP_GROUP, GL_DEBUG_TYPE_PORTABILITY, GL_DEBUG_TYPE_PUSH_GROUP, GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR, GL_DELETE_STATUS, GL_DEPTH_COMPONENT, GL_DRAW_BUFFER0, GL_DRAW_BUFFER1, GL_DRAW_BUFFER10, GL_DRAW_BUFFER11, GL_DRAW_BUFFER12, GL_DRAW_BUFFER13, GL_DRAW_BUFFER14, GL_DRAW_BUFFER15, GL_DRAW_BUFFER2, GL_DRAW_BUFFER3, GL_DRAW_BUFFER4, GL_DRAW_BUFFER5, GL_DRAW_BUFFER6, GL_DRAW_BUFFER7, GL_DRAW_BUFFER8, GL_DRAW_BUFFER9, GL_FLOAT_MAT2, GL_FLOAT_MAT3, GL_FLOAT_MAT4, GL_FLOAT_VEC2, GL_FLOAT_VEC3, GL_FLOAT_VEC4, GL_FRAGMENT_SHADER, GL_FRAGMENT_SHADER_BIT, GL_FRAGMENT_SHADER_DERIVATIVE_HINT, GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING, GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE, GL_HIGH_FLOAT, GL_HIGH_INT, GL_INFO_LOG_LENGTH, GL_INT, GL_INT_10_10_10_2, GL_INT_VEC2, GL_INT_VEC3, GL_INT_VEC4, GL_LINK_STATUS, GL_LOW_FLOAT, GL_LOW_INT, GL_MAX_3D_TEXTURE_SIZE, GL_MAX_COLOR_ATTACHMENTS, GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS, GL_MAX_DEBUG_GROUP_STACK_DEPTH, GL_MAX_DEBUG_LOGGED_MESSAGES, GL_MAX_DEBUG_MESSAGE_LENGTH, GL_MAX_DRAW_BUFFERS, GL_MAX_FRAGMENT_UNIFORM_VECTORS, GL_MAX_LABEL_LENGTH, GL_MAX_TEXTURE_IMAGE_UNITS, GL_MAX_VARYING_VECTORS, GL_MAX_VERTEX_ATTRIBS, GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS, GL_MAX_VERTEX_UNIFORM_VECTORS, GL_MEDIUM_FLOAT, GL_MEDIUM_INT, GL_NUM_PROGRAM_BINARY_FORMATS, GL_NUM_SHADER_BINARY_FORMATS, GL_ONE_MINUS_CONSTANT_ALPHA, GL_ONE_MINUS_CONSTANT_COLOR, GL_PROGRAM, GL_PROGRAM_BINARY_FORMATS, GL_PROGRAM_BINARY_LENGTH, GL_PROGRAM_PIPELINE_BINDING, GL_PROGRAM_SEPARABLE, GL_QUERY, GL_QUERY_RESULT, GL_QUERY_RESULT_AVAILABLE, GL_R16F, GL_R32F, GL_R8, GL_RED, GL_RG, GL_RG16F, GL_RG32F, GL_RG8, GL_SAMPLER, GL_SAMPLER_2D, GL_SAMPLER_2D_SHADOW, GL_SAMPLER_3D, GL_SAMPLER_CUBE, GL_SHADER, GL_SHADER_BINARY_DMP, GL_SHADER_BINARY_FORMATS, GL_SHADER_COMPILER, GL_SHADER_SOURCE_LENGTH, GL_SHADER_TYPE, GL_SHADING_LANGUAGE_VERSION, GL_STACK_OVERFLOW, GL_STACK_UNDERFLOW, GL_STENCIL_BACK_FAIL, GL_STENCIL_BACK_FUNC, GL_STENCIL_BACK_PASS_DEPTH_FAIL, GL_STENCIL_BACK_PASS_DEPTH_PASS, GL_STENCIL_BACK_REF, GL_STENCIL_BACK_VALUE_MASK, GL_STENCIL_BACK_WRITEMASK, GL_STENCIL_INDEX, GL_STREAM_DRAW, GL_TEXTURE_3D, GL_TEXTURE_BINDING_3D, GL_TEXTURE_COMPARE_FUNC, GL_TEXTURE_COMPARE_MODE, GL_TEXTURE_WRAP_R, GL_UNPACK_ROW_LENGTH, GL_UNPACK_SKIP_PIXELS, GL_UNPACK_SKIP_ROWS, GL_UNSIGNED_INT_10_10_10_2, GL_UNSIGNED_INT_2_10_10_10_REV, GL_UNSIGNED_NORMALIZED, GL_VALIDATE_STATUS, GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING, GL_VERTEX_ATTRIB_ARRAY_ENABLED, GL_VERTEX_ATTRIB_ARRAY_NORMALIZED, GL_VERTEX_ATTRIB_ARRAY_POINTER, GL_VERTEX_ATTRIB_ARRAY_SIZE, GL_VERTEX_ATTRIB_ARRAY_STRIDE, GL_VERTEX_ATTRIB_ARRAY_TYPE, GL_VERTEX_SHADER, GL_VERTEX_SHADER_BIT`

    - ### Fields inherited from interface javax.media.opengl.GL

      `GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALPHA16F, GL_ALPHA32F, GL_ALPHA8, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BGRA, GL_BGRA8, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_STENCIL, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DEPTH24_STENCIL8, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_GUILTY_CONTEXT_RESET, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INNOCENT_CONTEXT_RESET, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LOSE_CONTEXT_ON_RESET, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAP_FLUSH_EXPLICIT_BIT, GL_MAP_INVALIDATE_BUFFER_BIT, GL_MAP_INVALIDATE_RANGE_BIT, GL_MAP_READ_BIT, GL_MAP_UNSYNCHRONIZED_BIT, GL_MAP_WRITE_BIT, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NO_RESET_NOTIFICATION, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RESET_NOTIFICATION_STRATEGY, GL_RGB, GL_RGB10, GL_RGB10_A2, GL_RGB16F, GL_RGB32F, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA16F, GL_RGBA32F, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_SRGB, GL_SRGB_ALPHA, GL_SRGB8_ALPHA8, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_IMMUTABLE_FORMAT, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNKNOWN_CONTEXT_RESET, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_INT_24_8, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `glBindSampler(int unit, int sampler)` Entry point to C language function: `void glBindSampler(GLuint unit, GLuint sampler)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `int` | `glClientWaitSync(long sync, int flags, long timeout)` Entry point to C language function: `GLenum glClientWaitSync(GLsync sync, GLbitfield flags, GLuint64 timeout)` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `void` | `glDeleteSamplers(int count, int[] samplers, int samplers_offset)` Entry point to C language function: `void glDeleteSamplers(GLsizei count, const GLuint * samplers)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `void` | `glDeleteSamplers(int count, IntBuffer samplers)` Entry point to C language function: `void glDeleteSamplers(GLsizei count, const GLuint * samplers)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `void` | `glDeleteSync(long sync)` Entry point to C language function: `void glDeleteSync(GLsync sync)` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `long` | `glFenceSync(int condition, int flags)` Entry point to C language function: `GLsync glFenceSync(GLenum condition, GLbitfield flags)` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `void` | `glGenSamplers(int count, int[] samplers, int samplers_offset)` Entry point to C language function: `void glGenSamplers(GLsizei count, GLuint * samplers)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `void` | `glGenSamplers(int count, IntBuffer samplers)` Entry point to C language function: `void glGenSamplers(GLsizei count, GLuint * samplers)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `void` | `glGetBufferParameteri64v(int target, int pname, long[] params, int params_offset)` Entry point to C language function: `void glGetBufferParameteri64v(GLenum target, GLenum pname, GLint64 * params)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `void` | `glGetBufferParameteri64v(int target, int pname, LongBuffer params)` Entry point to C language function: `void glGetBufferParameteri64v(GLenum target, GLenum pname, GLint64 * params)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `void` | `glGetInteger64i_v(int target, int index, long[] data, int data_offset)` Entry point to C language function: `void glGetInteger64i_v(GLenum target, GLuint index, GLint64 * data)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `void` | `glGetInteger64i_v(int target, int index, LongBuffer data)` Entry point to C language function: `void glGetInteger64i_v(GLenum target, GLuint index, GLint64 * data)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `void` | `glGetInteger64v(int pname, long[] params, int params_offset)` Entry point to C language function: `void glGetInteger64v(GLenum pname, GLint64 * params)` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `void` | `glGetInteger64v(int pname, LongBuffer params)` Entry point to C language function: `void glGetInteger64v(GLenum pname, GLint64 * params)` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `void` | `glGetSamplerParameterfv(int sampler, int pname, float[] params, int params_offset)` Entry point to C language function: `void glGetSamplerParameterfv(GLuint sampler, GLenum pname, GLfloat * params)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `void` | `glGetSamplerParameterfv(int sampler, int pname, FloatBuffer params)` Entry point to C language function: `void glGetSamplerParameterfv(GLuint sampler, GLenum pname, GLfloat * params)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `void` | `glGetSamplerParameteriv(int sampler, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetSamplerParameteriv(GLuint sampler, GLenum pname, GLint * params)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `void` | `glGetSamplerParameteriv(int sampler, int pname, IntBuffer params)` Entry point to C language function: `void glGetSamplerParameteriv(GLuint sampler, GLenum pname, GLint * params)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `void` | `glGetSynciv(long sync, int pname, int bufSize, int[] length, int length_offset, int[] values, int values_offset)` Entry point to C language function: `void glGetSynciv(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values)` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `void` | `glGetSynciv(long sync, int pname, int bufSize, IntBuffer length, IntBuffer values)` Entry point to C language function: `void glGetSynciv(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values)` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `boolean` | `glIsSampler(int sampler)` Entry point to C language function: `GLboolean glIsSampler(GLuint sampler)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `boolean` | `glIsSync(long sync)` Entry point to C language function: `GLboolean glIsSync(GLsync sync)` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
    `void` | `glSamplerParameterf(int sampler, int pname, float param)` Entry point to C language function: `void glSamplerParameterf(GLuint sampler, GLenum pname, GLfloat param)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `void` | `glSamplerParameterfv(int sampler, int pname, float[] param, int param_offset)` Entry point to C language function: `void glSamplerParameterfv(GLuint sampler, GLenum pname, const GLfloat * param)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `void` | `glSamplerParameterfv(int sampler, int pname, FloatBuffer param)` Entry point to C language function: `void glSamplerParameterfv(GLuint sampler, GLenum pname, const GLfloat * param)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `void` | `glSamplerParameteri(int sampler, int pname, int param)` Entry point to C language function: `void glSamplerParameteri(GLuint sampler, GLenum pname, GLint param)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `void` | `glSamplerParameteriv(int sampler, int pname, int[] param, int param_offset)` Entry point to C language function: `void glSamplerParameteriv(GLuint sampler, GLenum pname, const GLint * param)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `void` | `glSamplerParameteriv(int sampler, int pname, IntBuffer param)` Entry point to C language function: `void glSamplerParameteriv(GLuint sampler, GLenum pname, const GLint * param)` Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
    `void` | `glVertexAttribDivisor(int index, int divisor)` Entry point to C language function: `void glVertexAttribDivisor(GLuint index, GLuint divisor)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`; `GL_ARB_instanced_arrays`
    `void` | `glWaitSync(long sync, int flags, long timeout)` Entry point to C language function: `void glWaitSync(GLsync sync, GLbitfield flags, GLuint64 timeout)` Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`

    - ### Methods inherited from interface javax.media.opengl.GL2ES3

      `glBeginTransformFeedback, glBindBufferBase, glBindBufferRange, glBindVertexArray, glBlitFramebuffer, glClearBufferfi, glClearBufferfv, glClearBufferfv, glClearBufferiv, glClearBufferiv, glClearBufferuiv, glClearBufferuiv, glCopyBufferSubData, glDeleteVertexArrays, glDeleteVertexArrays, glDrawArraysInstanced, glDrawBuffers, glDrawBuffers, glDrawElementsInstanced, glDrawRangeElements, glEndTransformFeedback, glFramebufferTextureLayer, glGenVertexArrays, glGenVertexArrays, glGetActiveUniformBlockiv, glGetActiveUniformBlockiv, glGetActiveUniformBlockName, glGetActiveUniformBlockName, glGetActiveUniformsiv, glGetActiveUniformsiv, glGetFragDataLocation, glGetIntegeri_v, glGetIntegeri_v, glGetInternalformativ, glGetInternalformativ, glGetStringi, glGetTransformFeedbackVarying, glGetTransformFeedbackVarying, glGetUniformBlockIndex, glGetUniformIndices, glGetUniformIndices, glGetUniformuiv, glGetUniformuiv, glGetVertexAttribIiv, glGetVertexAttribIiv, glGetVertexAttribIuiv, glGetVertexAttribIuiv, glIsVertexArray, glReadBuffer, glRenderbufferStorageMultisample, glTransformFeedbackVaryings, glUniform1ui, glUniform1uiv, glUniform1uiv, glUniform2ui, glUniform2uiv, glUniform2uiv, glUniform3ui, glUniform3uiv, glUniform3uiv, glUniform4ui, glUniform4uiv, glUniform4uiv, glUniformBlockBinding, glUniformMatrix2x3fv, glUniformMatrix2x3fv, glUniformMatrix2x4fv, glUniformMatrix2x4fv, glUniformMatrix3x2fv, glUniformMatrix3x2fv, glUniformMatrix3x4fv, glUniformMatrix3x4fv, glUniformMatrix4x2fv, glUniformMatrix4x2fv, glUniformMatrix4x3fv, glUniformMatrix4x3fv, glVertexAttribI4i, glVertexAttribI4iv, glVertexAttribI4iv, glVertexAttribI4ui, glVertexAttribI4uiv, glVertexAttribI4uiv, glVertexAttribIPointer, isPBOPackBound, isPBOUnpackBound`

    - ### Methods inherited from interface javax.media.opengl.GL2ES2

      `glAttachShader, glBeginQuery, glBindAttribLocation, glBlendColor, glClearDepth, glClearDepthf, glCompileShader, glCompressedTexImage3D, glCompressedTexImage3D, glCompressedTexSubImage3D, glCompressedTexSubImage3D, glCopyTexSubImage3D, glCreateProgram, glCreateShader, glDebugMessageControl, glDebugMessageControl, glDebugMessageInsert, glDeleteProgram, glDeleteQueries, glDeleteQueries, glDeleteShader, glDepthRange, glDepthRangef, glDetachShader, glDisableVertexAttribArray, glEnableVertexAttribArray, glEndQuery, glFramebufferTexture3D, glGenQueries, glGenQueries, glGetActiveAttrib, glGetActiveAttrib, glGetActiveUniform, glGetActiveUniform, glGetAttachedShaders, glGetAttachedShaders, glGetAttribLocation, glGetDebugMessageLog, glGetDebugMessageLog, glGetObjectLabel, glGetObjectLabel, glGetObjectPtrLabel, glGetObjectPtrLabel, glGetProgramBinary, glGetProgramBinary, glGetProgramInfoLog, glGetProgramInfoLog, glGetProgramiv, glGetProgramiv, glGetQueryiv, glGetQueryiv, glGetQueryObjectuiv, glGetQueryObjectuiv, glGetShaderInfoLog, glGetShaderInfoLog, glGetShaderiv, glGetShaderiv, glGetShaderPrecisionFormat, glGetShaderPrecisionFormat, glGetShaderSource, glGetShaderSource, glGetUniformfv, glGetUniformfv, glGetUniformiv, glGetUniformiv, glGetUniformLocation, glGetVertexAttribfv, glGetVertexAttribfv, glGetVertexAttribiv, glGetVertexAttribiv, glIsProgram, glIsQuery, glIsShader, glLinkProgram, glObjectLabel, glObjectLabel, glObjectPtrLabel, glObjectPtrLabel, glPopDebugGroup, glProgramBinary, glPushDebugGroup, glPushDebugGroup, glReleaseShaderCompiler, glShaderBinary, glShaderBinary, glShaderSource, glShaderSource, glStencilFuncSeparate, glStencilMaskSeparate, glStencilOpSeparate, glTexImage3D, glTexImage3D, glTexSubImage3D, glTexSubImage3D, glUniform, glUniform1f, glUniform1fv, glUniform1fv, glUniform1i, glUniform1iv, glUniform1iv, glUniform2f, glUniform2fv, glUniform2fv, glUniform2i, glUniform2iv, glUniform2iv, glUniform3f, glUniform3fv, glUniform3fv, glUniform3i, glUniform3iv, glUniform3iv, glUniform4f, glUniform4fv, glUniform4fv, glUniform4i, glUniform4iv, glUniform4iv, glUniformMatrix2fv, glUniformMatrix2fv, glUniformMatrix3fv, glUniformMatrix3fv, glUniformMatrix4fv, glUniformMatrix4fv, glUseProgram, glValidateProgram, glVertexAttrib1f, glVertexAttrib1fv, glVertexAttrib1fv, glVertexAttrib2f, glVertexAttrib2fv, glVertexAttrib2fv, glVertexAttrib3f, glVertexAttrib3fv, glVertexAttrib3fv, glVertexAttrib4f, glVertexAttrib4fv, glVertexAttrib4fv, glVertexAttribPointer, glVertexAttribPointer`

    - ### Methods inherited from interface javax.media.opengl.GL

      `glActiveTexture, glBindBuffer, glBindFramebuffer, glBindRenderbuffer, glBindTexture, glBlendEquation, glBlendEquationSeparate, glBlendFunc, glBlendFuncSeparate, glBufferData, glBufferSubData, glCheckFramebufferStatus, glClear, glClearColor, glClearStencil, glColorMask, glCompressedTexImage2D, glCompressedTexImage2D, glCompressedTexSubImage2D, glCompressedTexSubImage2D, glCopyTexImage2D, glCopyTexSubImage2D, glCullFace, glDeleteBuffers, glDeleteBuffers, glDeleteFramebuffers, glDeleteFramebuffers, glDeleteRenderbuffers, glDeleteRenderbuffers, glDeleteTextures, glDeleteTextures, glDepthFunc, glDepthMask, glDisable, glDrawArrays, glDrawElements, glEnable, glFinish, glFlush, glFlushMappedBufferRange, glFramebufferRenderbuffer, glFramebufferTexture2D, glFrontFace, glGenBuffers, glGenBuffers, glGenerateMipmap, glGenFramebuffers, glGenFramebuffers, glGenRenderbuffers, glGenRenderbuffers, glGenTextures, glGenTextures, glGetBooleanv, glGetBooleanv, glGetBufferParameteriv, glGetBufferParameteriv, glGetError, glGetFloatv, glGetFloatv, glGetFramebufferAttachmentParameteriv, glGetFramebufferAttachmentParameteriv, glGetGraphicsResetStatus, glGetIntegerv, glGetIntegerv, glGetnUniformfv, glGetnUniformfv, glGetnUniformiv, glGetnUniformiv, glGetRenderbufferParameteriv, glGetRenderbufferParameteriv, glGetString, glGetTexParameterfv, glGetTexParameterfv, glGetTexParameteriv, glGetTexParameteriv, glHint, glIsBuffer, glIsEnabled, glIsFramebuffer, glIsRenderbuffer, glIsTexture, glLineWidth, glMapBuffer, glMapBufferRange, glPixelStorei, glPolygonOffset, glReadnPixels, glReadPixels, glReadPixels, glRenderbufferStorage, glSampleCoverage, glScissor, glStencilFunc, glStencilMask, glStencilOp, glTexImage2D, glTexImage2D, glTexParameterf, glTexParameterfv, glTexParameterfv, glTexParameteri, glTexParameteriv, glTexParameteriv, glTexStorage1D, glTexStorage2D, glTexStorage3D, glTexSubImage2D, glTexSubImage2D, glTextureStorage1D, glTextureStorage2D, glTextureStorage3D, glUnmapBuffer, glViewport`

    - ### Methods inherited from interface javax.media.opengl.GLBase

      `getBoundBuffer, getBoundFramebuffer, getBufferStorage, getContext, getDefaultDrawFramebuffer, getDefaultReadBuffer, getDefaultReadFramebuffer, getDownstreamGL, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2ES3, getGL2GL3, getGL3, getGL3bc, getGL3ES3, getGL4, getGL4bc, getGL4ES3, getGLES1, getGLES2, getGLES3, getGLProfile, getMaxRenderbufferSamples, getPlatformGLExtensions, getRootGL, getSwapInterval, hasBasicFBOSupport, hasFullFBOSupport, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2ES3, isGL2GL3, isGL3, isGL3bc, isGL3core, isGL3ES3, isGL4, isGL4bc, isGL4core, isGL4ES3, isGLcore, isGLES, isGLES1, isGLES2, isGLES2Compatible, isGLES3, isGLES3Compatible, isNPOTTextureAvailable, isTextureFormatBGRA8888Available, isVBOArrayBound, isVBOElementArrayBound, mapBuffer, mapBufferRange, setSwapInterval`

- - ### Field Detail

    - #### GL_MAX_VERTEX_OUTPUT_COMPONENTS

          static final int GL_MAX_VERTEX_OUTPUT_COMPONENTS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_FRAGMENT_INPUT_COMPONENTS

          static final int GL_MAX_FRAGMENT_INPUT_COMPONENTS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_SERVER_WAIT_TIMEOUT

          static final int GL_MAX_SERVER_WAIT_TIMEOUT

      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_OBJECT_TYPE

          static final int GL_OBJECT_TYPE

      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_SYNC_CONDITION

          static final int GL_SYNC_CONDITION

      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_SYNC_STATUS

          static final int GL_SYNC_STATUS

      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_SYNC_FLAGS

          static final int GL_SYNC_FLAGS

      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_SYNC_FENCE

          static final int GL_SYNC_FENCE

      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_SYNC_GPU_COMMANDS_COMPLETE

          static final int GL_SYNC_GPU_COMMANDS_COMPLETE

      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNALED

          static final int GL_UNSIGNALED

      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_SIGNALED

          static final int GL_SIGNALED

      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_ALREADY_SIGNALED

          static final int GL_ALREADY_SIGNALED

      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_TIMEOUT_EXPIRED

          static final int GL_TIMEOUT_EXPIRED

      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_CONDITION_SATISFIED

          static final int GL_CONDITION_SATISFIED

      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_WAIT_FAILED

          static final int GL_WAIT_FAILED

      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_SYNC_FLUSH_COMMANDS_BIT

          static final int GL_SYNC_FLUSH_COMMANDS_BIT

      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_DIVISOR

          static final int GL_VERTEX_ATTRIB_ARRAY_DIVISOR

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`; `GL_ARB_instanced_arrays`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_BINDING

          static final int GL_SAMPLER_BINDING

      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
      See Also:
        Constant Field Values

    - #### GL_RGB10_A2UI

          static final int GL_RGB10_A2UI

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_texture_rgb10_a2ui`, `GL_VERSION_3_3`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_SWIZZLE_R

          static final int GL_TEXTURE_SWIZZLE_R

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_texture_swizzle`, `GL_VERSION_3_3`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_SWIZZLE_G

          static final int GL_TEXTURE_SWIZZLE_G

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_texture_swizzle`, `GL_VERSION_3_3`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_SWIZZLE_B

          static final int GL_TEXTURE_SWIZZLE_B

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_texture_swizzle`, `GL_VERSION_3_3`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_SWIZZLE_A

          static final int GL_TEXTURE_SWIZZLE_A

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_texture_swizzle`, `GL_VERSION_3_3`
      See Also:
        Constant Field Values

    - #### GL_INT_2_10_10_10_REV

          static final int GL_INT_2_10_10_10_REV

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_vertex_type_2_10_10_10_rev`, `GL_VERSION_3_3`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### glBindSampler

          void glBindSampler(int unit,
                           int sampler)

      Entry point to C language function: `void glBindSampler(GLuint unit, GLuint sampler)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`

    - #### glClientWaitSync

          int glClientWaitSync(long sync,
                             int flags,
                             long timeout)

      Entry point to C language function: `GLenum glClientWaitSync(GLsync sync, GLbitfield flags, GLuint64 timeout)`
      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`

    - #### glDeleteSamplers

          void glDeleteSamplers(int count,
                              IntBuffer samplers)

      Entry point to C language function: `void glDeleteSamplers(GLsizei count, const GLuint * samplers)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
      Parameters:
        `samplers` - a direct or array-backed `IntBuffer`

    - #### glDeleteSamplers

          void glDeleteSamplers(int count,
                              int[] samplers,
                              int samplers_offset)

      Entry point to C language function: `void glDeleteSamplers(GLsizei count, const GLuint * samplers)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`

    - #### glDeleteSync

          void glDeleteSync(long sync)

      Entry point to C language function: `void glDeleteSync(GLsync sync)`
      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`

    - #### glFenceSync

          long glFenceSync(int condition,
                         int flags)

      Entry point to C language function: `GLsync glFenceSync(GLenum condition, GLbitfield flags)`
      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`

    - #### glGenSamplers

          void glGenSamplers(int count,
                           IntBuffer samplers)

      Entry point to C language function: `void glGenSamplers(GLsizei count, GLuint * samplers)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
      Parameters:
        `samplers` - a direct or array-backed `IntBuffer`

    - #### glGenSamplers

          void glGenSamplers(int count,
                           int[] samplers,
                           int samplers_offset)

      Entry point to C language function: `void glGenSamplers(GLsizei count, GLuint * samplers)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`

    - #### glGetBufferParameteri64v

          void glGetBufferParameteri64v(int target,
                                      int pname,
                                      LongBuffer params)

      Entry point to C language function: `void glGetBufferParameteri64v(GLenum target, GLenum pname, GLint64 * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      Parameters:
        `params` - a direct or array-backed `LongBuffer`

    - #### glGetBufferParameteri64v

          void glGetBufferParameteri64v(int target,
                                      int pname,
                                      long[] params,
                                      int params_offset)

      Entry point to C language function: `void glGetBufferParameteri64v(GLenum target, GLenum pname, GLint64 * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`

    - #### glGetInteger64i_v

          void glGetInteger64i_v(int target,
                               int index,
                               LongBuffer data)

      Entry point to C language function: `void glGetInteger64i_v(GLenum target, GLuint index, GLint64 * data)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      Parameters:
        `data` - a direct or array-backed `LongBuffer`

    - #### glGetInteger64i_v

          void glGetInteger64i_v(int target,
                               int index,
                               long[] data,
                               int data_offset)

      Entry point to C language function: `void glGetInteger64i_v(GLenum target, GLuint index, GLint64 * data)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`

    - #### glGetInteger64v

          void glGetInteger64v(int pname,
                             LongBuffer params)

      Entry point to C language function: `void glGetInteger64v(GLenum pname, GLint64 * params)`
      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      Parameters:
        `params` - a direct or array-backed `LongBuffer`

    - #### glGetInteger64v

          void glGetInteger64v(int pname,
                             long[] params,
                             int params_offset)

      Entry point to C language function: `void glGetInteger64v(GLenum pname, GLint64 * params)`
      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`

    - #### glGetSamplerParameterfv

          void glGetSamplerParameterfv(int sampler,
                                     int pname,
                                     FloatBuffer params)

      Entry point to C language function: `void glGetSamplerParameterfv(GLuint sampler, GLenum pname, GLfloat * params)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
      Parameters:
        `params` - a direct or array-backed `FloatBuffer`

    - #### glGetSamplerParameterfv

          void glGetSamplerParameterfv(int sampler,
                                     int pname,
                                     float[] params,
                                     int params_offset)

      Entry point to C language function: `void glGetSamplerParameterfv(GLuint sampler, GLenum pname, GLfloat * params)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`

    - #### glGetSamplerParameteriv

          void glGetSamplerParameteriv(int sampler,
                                     int pname,
                                     IntBuffer params)

      Entry point to C language function: `void glGetSamplerParameteriv(GLuint sampler, GLenum pname, GLint * params)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetSamplerParameteriv

          void glGetSamplerParameteriv(int sampler,
                                     int pname,
                                     int[] params,
                                     int params_offset)

      Entry point to C language function: `void glGetSamplerParameteriv(GLuint sampler, GLenum pname, GLint * params)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`

    - #### glGetSynciv

          void glGetSynciv(long sync,
                         int pname,
                         int bufSize,
                         IntBuffer length,
                         IntBuffer values)

      Entry point to C language function: `void glGetSynciv(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values)`
      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `values` - a direct or array-backed `IntBuffer`

    - #### glGetSynciv

          void glGetSynciv(long sync,
                         int pname,
                         int bufSize,
                         int[] length,
                         int length_offset,
                         int[] values,
                         int values_offset)

      Entry point to C language function: `void glGetSynciv(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values)`
      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`

    - #### glIsSampler

          boolean glIsSampler(int sampler)

      Entry point to C language function: `GLboolean glIsSampler(GLuint sampler)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`

    - #### glIsSync

          boolean glIsSync(long sync)

      Entry point to C language function: `GLboolean glIsSync(GLsync sync)`
      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`

    - #### glSamplerParameterf

          void glSamplerParameterf(int sampler,
                                 int pname,
                                 float param)

      Entry point to C language function: `void glSamplerParameterf(GLuint sampler, GLenum pname, GLfloat param)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`

    - #### glSamplerParameterfv

          void glSamplerParameterfv(int sampler,
                                  int pname,
                                  FloatBuffer param)

      Entry point to C language function: `void glSamplerParameterfv(GLuint sampler, GLenum pname, const GLfloat * param)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
      Parameters:
        `param` - a direct or array-backed `FloatBuffer`

    - #### glSamplerParameterfv

          void glSamplerParameterfv(int sampler,
                                  int pname,
                                  float[] param,
                                  int param_offset)

      Entry point to C language function: `void glSamplerParameterfv(GLuint sampler, GLenum pname, const GLfloat * param)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`

    - #### glSamplerParameteri

          void glSamplerParameteri(int sampler,
                                 int pname,
                                 int param)

      Entry point to C language function: `void glSamplerParameteri(GLuint sampler, GLenum pname, GLint param)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`

    - #### glSamplerParameteriv

          void glSamplerParameteriv(int sampler,
                                  int pname,
                                  IntBuffer param)

      Entry point to C language function: `void glSamplerParameteriv(GLuint sampler, GLenum pname, const GLint * param)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`
      Parameters:
        `param` - a direct or array-backed `IntBuffer`

    - #### glSamplerParameteriv

          void glSamplerParameteriv(int sampler,
                                  int pname,
                                  int[] param,
                                  int param_offset)

      Entry point to C language function: `void glSamplerParameteriv(GLuint sampler, GLenum pname, const GLint * param)`
      Part of `GL_ARB_sampler_objects`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`

    - #### glVertexAttribDivisor

          void glVertexAttribDivisor(int index,
                                   int divisor)

      Entry point to C language function: `void glVertexAttribDivisor(GLuint index, GLuint divisor)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`; `GL_ARB_instanced_arrays`

    - #### glWaitSync

          void glWaitSync(long sync,
                        int flags,
                        long timeout)

      Entry point to C language function: `void glWaitSync(GLsync sync, GLbitfield flags, GLuint64 timeout)`
      Part of `GL_ARB_sync`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_2`

Copyright 2010 JogAmp Community.